- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Slots | Signals | Public Member Functions | Static Public Member Functions | Protected Member Functions

# QAbstractItemDelegate Class Reference

Search for all occurrences

## Detailed Description

Definition at line 62 of file qabstractitemdelegate.h.

`#include <qabstractitemdelegate.h>`

Inheritance diagram for QAbstractItemDelegate:
[legend]

List of all members.

## Public Types
enum | EndEditHint { NoHint, EditNextItem, EditPreviousItem, SubmitModelCache, RevertModelCache }
## Public Slots
bool | helpEvent (QHelpEvent *event, QAbstractItemView *view, const QStyleOptionViewItem &option, const QModelIndex &index)
## Signals
void | commitData (QWidget *editor)
void | closeEditor (QWidget *editor, QAbstractItemDelegate::EndEditHint hint=NoHint)
void | sizeHintChanged (const QModelIndex &)
## Public Member Functions
| QAbstractItemDelegate (QObject *parent=0)
virtual | ~QAbstractItemDelegate ()
virtual void | paint (QPainter *painter, const QStyleOptionViewItem &option, const QModelIndex &index) const =0
virtual QSize | sizeHint (const QStyleOptionViewItem &option, const QModelIndex &index) const =0
virtual QWidget * | createEditor (QWidget *parent, const QStyleOptionViewItem &option, const QModelIndex &index) const
virtual void | setEditorData (QWidget *editor, const QModelIndex &index) const
virtual void | setModelData (QWidget *editor, QAbstractItemModel *model, const QModelIndex &index) const
virtual void | updateEditorGeometry (QWidget *editor, const QStyleOptionViewItem &option, const QModelIndex &index) const
virtual bool | editorEvent (QEvent *event, QAbstractItemModel *model, const QStyleOptionViewItem &option, const QModelIndex &index)
## Static Public Member Functions
static QString | elidedText (const QFontMetrics &fontMetrics, int width, Qt::TextElideMode mode, const QString &text)
## Protected Member Functions
| QAbstractItemDelegate (QObjectPrivate &, QObject *parent=0)

## Member Enumeration Documentation

enum EndEditHint

Search for all occurrences

Enumerator:

  NoHint | Search for all occurrences
  EditNextItem | Search for all occurrences
  EditPreviousItem | Search for all occurrences
  SubmitModelCache | Search for all occurrences
  RevertModelCache | Search for all occurrences

Definition at line 68 of file qabstractitemdelegate.h.

                         {
            NoHint,
            EditNextItem,
            EditPreviousItem,
            SubmitModelCache,
            RevertModelCache
        };

## Constructor & Destructor Documentation

QAbstractItemDelegate | ( | QObject * | parent = `0` | ) | `[explicit]`

virtual ~QAbstractItemDelegate | ( |  | ) | `[virtual]`

QAbstractItemDelegate | ( | QObjectPrivate & | ,
|  | QObject * | parent = `0`
| ) |  | `[protected]`

## Member Function Documentation

virtual void paint | ( | QPainter * | painter,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QItemDelegate, and QStyledItemDelegate.

virtual QSize sizeHint | ( | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[pure virtual]`

Search for all occurrences

Implemented in QItemDelegate, and QStyledItemDelegate.

virtual QWidget* createEditor | ( | QWidget * | parent,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QItemDelegate, and QStyledItemDelegate.

virtual void setEditorData | ( | QWidget * | editor,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QItemDelegate, and QStyledItemDelegate.

virtual void setModelData | ( | QWidget * | editor,
|  | QAbstractItemModel * | model,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QItemDelegate, and QStyledItemDelegate.

virtual void updateEditorGeometry | ( | QWidget * | editor,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | const `[virtual]`

Search for all occurrences

Reimplemented in QItemDelegate, and QStyledItemDelegate.

virtual bool editorEvent | ( | QEvent * | event,
|  | QAbstractItemModel * | model,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | `[virtual]`

Search for all occurrences

Reimplemented in QItemDelegate, and QStyledItemDelegate.

static QString elidedText | ( | const QFontMetrics & | fontMetrics,
|  | int | width,
|  | Qt::TextElideMode | mode,
|  | const QString & | text
| ) |  | `[static]`

Search for all occurrences

bool helpEvent | ( | QHelpEvent * | event,
|  | QAbstractItemView * | view,
|  | const QStyleOptionViewItem & | option,
|  | const QModelIndex & | index
| ) |  | `[slot]`

Search for all occurrences

void commitData | ( | QWidget * | editor | ) | `[signal]`

Search for all occurrences

void closeEditor | ( | QWidget * | editor,
|  | QAbstractItemDelegate::EndEditHint | hint = `NoHint`
| ) |  | `[signal]`

Search for all occurrences

void sizeHintChanged | ( | const QModelIndex & |  | ) | `[signal]`

Search for all occurrences

The documentation for this class was generated from the following file:

- QtGui/qabstractitemdelegate.h

QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate
QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate QAbstractItemDelegate